<?php

class WpresupuestoController extends WadminController {
	
	public function listadoAction(){
		
		$listado = new LSTPresupuesto();
		
		$ly = $this->getLayout();
		$ly->reg_titulo->setTitulo('Presupuestos Activos');
		$ly->reg_contenido->addElement($listado);
		
	}
	
	public function editarAction(){
	
		// Lógica
		$id = $this->getParametro('id');
		$presupuesto = new Presupuesto($id);
		if ($presupuesto->getPrecioConIva()>0){
			$precio = number_format($presupuesto->getPrecioConIva(),2).' &euro;';
		} else {
			$precio = '<i>En proceso</i>';
		}
		
		// PRESUPUESTO
		$contPresupuesto = new vstContenedor('PRESUPUESTO '.$id);
		$fila = new VstFila();
		
		$infoIzquierda = new VstInfo();
		$infoIzquierda->addElement('Cliente', $presupuesto->getNombreCliente());
		$infoIzquierda->addElement('Contacto', $presupuesto->getContactoNombre());		
		$infoIzquierda->addElement('Tipo Servicio', $presupuesto->getTipoServicio());
		$infoIzquierda->addElement('Fecha y Hora', $presupuesto->getFechaHoraInicio());
		$infoIzquierda->addElement('Vehículo', $presupuesto->getVehiculoNombre());
		$infoIzquierda->addElement('Observaciones', $presupuesto->getObservaciones());
		$infoIzquierda->addElement('Itinerario', $presupuesto->getItinierario());
		
		$infoDerecha = new VstInfo();
		$infoDerecha->addElement('Tfno Cliente', $presupuesto->getClienteTelefono());
		$infoDerecha->addElement('Tfno Contacto', $presupuesto->getContactoTelefono());
		$infoDerecha->addElement('Origen', $presupuesto->getOrigenLugar().'<br/>'.$presupuesto->getOrigenDireccionProveedor());
		$infoDerecha->addElement('Destino', $presupuesto->getDestinoLugar().'<br/>'.$presupuesto->getDestinoDireccionProveedor());
		$infoDerecha->addElement('Nº Personas', $presupuesto->getNumeroPersonas());
		$infoDerecha->addElement('Precio', '<span class="precio_destacado">'.$precio.'</span>');
		
		$fila->addElemento($infoIzquierda,6);
		$fila->addElemento($infoDerecha,6);
		$contPresupuesto->addElement($fila);
		
		$btVolver = new VstBoton('javascript:history.back();','','Volver','Volver',new VstIcono(VstIcono::APP_icon_backward));
		$btVolver->setClase('btn btn-primary');
		$contPresupuesto->addElement($btVolver);
		
		// Visual
		$ly = $this->getLayout();
		$ly->reg_titulo->setTitulo('Ver Presupuesto');
		$ly->reg_contenido->addElement($contPresupuesto);
		
	
	}
}